groovy.util

## Class GroovyLog

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.util.GroovyLog

- All Implemented Interfaces:
    GroovyObject

  Deprecated.

      @Deprecated
      public class GroovyLog
      extends GroovyObjectSupport

  Represents an arbitrary logging service. By default this outputs to System.out though derivations of this class could log to Jakarta Commons Logging or log4j or JDK 1.5 logging etc
  Version:
    $Revision: 18133 $
  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyLog()` Deprecated.
    `GroovyLog(Class type)` Deprecated.
    `GroovyLog(Object obj)` Deprecated.
    `GroovyLog(String prefix)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invokeMethod(String name, Object args)` Deprecated. Invokes the given method.
    `static GroovyLog` | `newInstance(Class aClass)` Deprecated. Factory method to create new instances

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyLog

          public GroovyLog()

      Deprecated.

    - #### GroovyLog

          public GroovyLog(Class type)

      Deprecated.

    - #### GroovyLog

          public GroovyLog(Object obj)

      Deprecated.

    - #### GroovyLog

          public GroovyLog(String prefix)

      Deprecated.

  - ### Method Detail

    - #### newInstance

          public static GroovyLog newInstance(Class aClass)

      Deprecated.
      Factory method to create new instances

    - #### invokeMethod

          public Object invokeMethod(String name,
                            Object args)

      Deprecated.
      Description copied from interface: `GroovyObject`
      Invokes the given method.
      Specified by:
        `invokeMethod` in interface `GroovyObject`
      Overrides:
        `invokeMethod` in class `GroovyObjectSupport`
      Parameters:
        `name` - the name of the method to call
        `args` - the arguments to use for the method call
      Returns:
        the result of invoking the method